<template>
  <section class="fencers-list">
    <ul v-for="fencer in fencers" :key="fencer.id">
      <li v-if="fencer.gender === 'F'">
        <router-link
          :to="{name:'fencer', params: {id:fencer.id}}"
        >{{fencer.name}} {{fencer.surname}}</router-link>
      </li>
    </ul>
  </section>
</template>

<script>
import { FencersService } from "../services/FencersService";

export default {
  data() {
    return {
      fencers: []
    };
  },
  mounted() {
    const service = new FencersService();
    service
      .getAll()
      .then(data => (this.fencers = data))
      .catch(() => this.$router.push("/"));
  }
};
</script>

<style>
</style>